Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.j2ee
Class AbstractJ2eeCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.j2ee.AbstractJ2eeCheck

All Implemented Interfaces:
  Configurable, Contextualizable

Direct Known Subclasses:
  AbstractBeanCheck, AbstractInterfaceCheck

public abstract class AbstractJ2eeCheck
extends Check

Abstract class for J2ee component checking.

Author:
  Rick Giles

Constructor Summary
`AbstractJ2eeCheck()`

Method Summary
`MethodChecker` | `getMethodChecker()` Gets the method checker for this component check.
`protected void` | `log(DetailAST aAST, java.lang.String aKey, java.lang.Object[] aArgs)` Helper method to log a LocalizedMessage for an AST.
`protected void` | `logName(DetailAST aAST, java.lang.String aKey, java.lang.Object[] aArgs)` Helper method to log a LocalizedMessage for an AST.
`void` | `setMethodChecker(MethodChecker aMethodChecker)` Sets the method checker for this component check.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getDefaultTokens, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens, visitToken`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJ2eeCheck

    public AbstractJ2eeCheck()

Method Detail

### log

    protected void log(DetailAST aAST,
                       java.lang.String aKey,
                       java.lang.Object[] aArgs)

  Helper method to log a LocalizedMessage for an AST.

  Parameters:
    `aAST` - the AST for the message.
    `aKey` - key to locale message format
    `aArgs` - arguments for message

### logName

    protected void logName(DetailAST aAST,
                           java.lang.String aKey,
                           java.lang.Object[] aArgs)

  Helper method to log a LocalizedMessage for an AST. Logs the name, line, and column of the AST.

  Parameters:
    `aAST` - the AST for the message.
    `aKey` - key to locale message format
    `aArgs` - arguments for message

### getMethodChecker

    public MethodChecker getMethodChecker()

  Gets the method checker for this component check.

  Returns:
    the method checker for this component check.

### setMethodChecker

    public void setMethodChecker(MethodChecker aMethodChecker)

  Sets the method checker for this component check.

  Parameters:
    `aMethodChecker` - the method checker for this component check.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD